Package com.destroystokyo.paper.network

# Interface StatusClient

All Superinterfaces:
  `NetworkClient`

public interface StatusClient extends NetworkClient
Represents a client requesting the current status from the server (e.g. from the server list).

See Also:
  - `PaperServerListPingEvent`

## Method Summary

Modifier and Type
Method
Description
`default boolean`
`isLegacy()`
Returns whether the client is using an older version that doesn't support all of the features in `PaperServerListPingEvent`.

### Methods inherited from interface com.destroystokyo.paper.network.NetworkClient

`getAddress, getProtocolVersion, getVirtualHost`

## Method Details

### isLegacy

default boolean isLegacy()
Returns whether the client is using an older version that doesn't support all of the features in `PaperServerListPingEvent`.

For Vanilla, this returns `true` for all clients older than 1.7.

Returns:
  `true` if the client is using legacy ping